<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Create a menu item for LearnWise AI settings in the WordPress admin
function learnwise_ai_add_admin_menu() {
    add_menu_page( 
        'LearnWise AI Settings', 
        'LearnWise AI', 
        'manage_options', 
        'learnwise-ai', 
        'learnwise_ai_options_page'
    );
}
add_action( 'admin_menu', 'learnwise_ai_add_admin_menu' );

// Register our settings
function learnwise_ai_settings_init() {
    register_setting( 'learnwise_ai', 'learnwise_ai_settings' );
    
    add_settings_section(
        'learnwise_ai_section', 
        __( 'LearnWise AI Settings', 'learnwise-ai' ), 
        'learnwise_ai_settings_section_callback', 
        'learnwise_ai'
    );
    
    add_settings_field( 
        'learnwise_ai_assistant_id', 
        __( 'Assistant ID', 'learnwise-ai' ), 
        'learnwise_ai_assistant_id_render', 
        'learnwise_ai', 
        'learnwise_ai_section'
    );
}
add_action( 'admin_init', 'learnwise_ai_settings_init' );

// Render the Assistant ID field
function learnwise_ai_assistant_id_render() {
    $options = get_option( 'learnwise_ai_settings' );
    ?>
    <input type='text' name='learnwise_ai_settings[assistant_id]' value='<?php echo isset($options['assistant_id']) ? $options['assistant_id'] : ''; ?>'>
    <?php
}

// Section callback, which can display additional information
function learnwise_ai_settings_section_callback() {
    echo __( 'Enter your LearnWise AI Assistant ID.', 'learnwise-ai' );
}

// Options page callback to render the page content
function learnwise_ai_options_page() {
    ?>
    <form action='options.php' method='post'>
        <h2>LearnWise AI</h2>
        <?php
        settings_fields( 'learnwise_ai' );
        do_settings_sections( 'learnwise_ai' );
        submit_button();
        ?>
    </form>
    <?php
}