<?php
/**
 * Plugin Name: LearnWise AI
 * Description: Integrate LearnWise AI assistant into your WordPress site.
 * Version:     1.0
 * Author:      Your Name
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

// Include the admin page functions.
require_once plugin_dir_path( __FILE__ ) . 'admin-page.php';

// Enqueue the LearnWise AI script on the front end.
function enqueue_learnwise_ai_script() {
    // Only enqueue the script on non-admin pages.
    if ( ! is_admin() ) {
        $options = get_option( 'learnwise_ai_settings' );
        if ( ! empty( $options['assistant_id'] ) ) {
            wp_enqueue_script( 'learnwise-ai-script', 'https://aiden.learnwise.ai/chat_launcher.js', array(), null, true );

            // Inline script to define the LearnWise AI setup.
            $inline_script = "
                window.learnWiseSetup = {
                    host: 'https://aiden.learnwise.ai',
                    chatSrc: 'https://chat.learnwise.ai',
                    assistantId: '" . esc_js( $options['assistant_id'] ) . "'
                };
                var script = document.createElement('script');
                script.src = window.learnWiseSetup.host + '/chat_launcher.js';
                document.body.appendChild(script);
            ";

            wp_add_inline_script( 'learnwise-ai-script', $inline_script );
        }
    }
}
add_action( 'wp_enqueue_scripts', 'enqueue_learnwise_ai_script' );
